package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

/**
 * @Description 订单会话
 * @Author: ph
 * @Date: 2019/11/12 10:20
 */
public class OrderSession {

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 数据库数量
     */
    private Integer dbSize;

    /**
     * 角色
     */
    private Integer role;

    /**
     * 痕迹
     */
    private TraceIdentity traceIdentity;

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getDbSize() {
        return dbSize;
    }

    public void setDbSize(Integer dbSize) {
        this.dbSize = dbSize;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }

    public TraceIdentity getTraceIdentity() {
        return traceIdentity;
    }

    public void setTraceIdentity(TraceIdentity traceIdentity) {
        this.traceIdentity = traceIdentity;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
